Subject: bug#55714: 29.0.50; eval-when-compile leaves behind artifacts in init.el?

From: "Mark A. Hershberger" <[email-masked]>
Date: Mon, 30 May 2022 08:40:23 -0700 (PDT)

Hrm... I can't seem to reproduce this now.

I'm gonna put this down to some stray .elc files or something after I re-compiled emacs.

This can be closed.

----- On May 29, 2022, at 10:24 PM, Eli Zaretskii [email-masked] wrote:

>> Date: Sun, 29 May 2022 15:43:43 -0400
>> From:  "Mark A. Hershberger" via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> 
>> I've recently found “M-x woman RET” fails. In resolving this, it looks
>> like it caused by the presense of
>> 
>>      (eval-when-compile
>>          ....
>>          (defvar dired-mode-map nil
>>          ....
>> 
>> The only reason I had this was to avoid warnings during compilation.
>> Previously, it did not cause problems, but now it looks like it is
>> (maybe?) stored in the compiled init.el and re-used in latter emacs
>> start ups.
> 
> Thanks, but could you perhaps present a recipe for reproducing the
> problem starting from the smallest init.el?